class gericagir {
  private native void nativeMethod(int depth);
  private void geri(int depth) {
    if (depth < 5) {
      System.out.println("Java dilinde, derinlik = " + depth + ", C++ diline dönüyoruz ");
      nativeMethod(depth + 1);
      System.out.println("Java dilinde, derinlik = " + depth + ", C++ diline döndük");
    } else
      System.out.println("Java dilinde, derinlik = " + depth + ", sınır aşıldı");
  }
  public static void main(String args[]) {
    gericagir c = new gericagir();
    c.nativeMethod(0);
  }
  static {
    System.loadLibrary("gericagirI");
  }
}

